org.infinispan.schematic.internal.delta

## Class RetainAllValuesOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.ArrayOperation
    - - org.infinispan.schematic.internal.delta.RetainAllValuesOperation

-     @SerializeWith(value=RetainAllValuesOperation.Externalizer.class)
      public class RetainAllValuesOperation
      extends ArrayOperation

  An atomic array add operation for SchematicValueDelta.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RetainAllValuesOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Array.Entry>` | `removedEntries`
    `protected Collection<?>` | `values`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetainAllValuesOperation(Path parentPath, Collection<?> values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RetainAllValuesOperation` | `clone()`
    `boolean` | `equals(Object obj)`
    `List<Array.Entry>` | `getRemovedEntries()`
    `Collection<?>` | `getRetainedValues()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation

      `cloneValues, mutableParent`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### values

          protected final Collection<?> values

    - #### removedEntries

          protected transient List<Array.Entry> removedEntries

  - ### Constructor Detail

    - #### RetainAllValuesOperation

          public RetainAllValuesOperation(Path parentPath,
                                  Collection<?> values)

  - ### Method Detail

    - #### clone

          public RetainAllValuesOperation clone()

      Specified by:
        `clone` in class `Operation`

    - #### rollback

          public void rollback(MutableDocument delegate)

      Specified by:
        `rollback` in class `Operation`

    - #### getRetainedValues

          public Collection<?> getRetainedValues()

    - #### getRemovedEntries

          public List<Array.Entry> getRemovedEntries()

    - #### replay

          public void replay(MutableDocument delegate)

      Specified by:
        `replay` in class `Operation`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.